Subject: Re: [Bitcoin-development] bitcoin DNS addresses

From: Rick Wesson <[email-masked]>
Date: Mon, 25 Jul 2011 21:54:23 -0700

>
> 1. Right now you practically need a unique Bitcoin address per transaction.

I'd like to find ways to alievate this requirement.

> 2. DNSSEC is on the edge of becoming illegal in the US.

really, pointers please. DHS was a huge funder for DNSSEC asn .mil was
the first domain to deploy it. I think you may be miss-informed.

> 3. Emails aren't merely domains.

correct, I was speaking about an "address" that used the same/simular
formatting but did not use the SMTP protocol.

-rick

> I would propose something like resolving [email-masked] to a SRV lookup for
> _bitcoinaddressresolution._tcp.foo.bar.net, expecting a cert for bar.net,
> making a HTTPS request for /bitcoinaddressresolution?[email-masked], and also
> sending an email to [email-masked] (the usual way) signed with the keys used for
> the transaction. ;)
>